Error
A valid request URL is required to generate request examples{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Users
ユーザー情報の更新
指定したユーザー情報を編集します。
PUT
/
users
/
{user_id}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Authorizations
管理系API呼び出し用のAPIキーを指定します
Path Parameters
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$Body
application/json
Response
ユーザーの更新完了
ユーザーの一意な識別子(ユーザー作成時に任意のidを指定できます)
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$ユーザーの表示名
Required string length:
1 - 200ユーザーの権限・役割(Admin:管理者, Member:一般ユーザー)
Available options:
Admin, Member ユーザーアイコンのURL
作成日時
更新日時
削除日時
任意の追加メタデータ
Show child attributes
Show child attributes

